List Report Schedules
Playground
GETEndpoint:
/api/content/v1/reportschedules
Query Parameters:
Example:
Create Report Schedule
Playground
POSTEndpoint:
/api/content/v1/reportschedules
Request Body: ReportScheduleInfo object
Example:
Delete Report Schedule by Page ID
Playground
DELETEEndpoint:
/api/content/v1/reportschedules
Query Parameters:
Example:
Get Report Schedule by ID
Playground
GETEndpoint:
/api/content/v1/reportschedules/{scheduleId}
Path Parameters:
Example:
Update Report Schedule
Playground
PUTEndpoint:
/api/content/v1/reportschedules/{scheduleId}
Path Parameters:
Request Body: ReportScheduleInfo object
Example:
Delete Report Schedule
Playground
DELETEEndpoint:
/api/content/v1/reportschedules/{scheduleId}
Path Parameters:
Example:
Enable/Disable Report Schedule
Playground
PUTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/enabled
Path Parameters:
Request Body: boolean
Example:
Get Report History by Schedule ID
Playground
GETEndpoint:
/api/content/v1/reportschedules/{scheduleId}/history
Path Parameters:
Query Parameters:
Example:
Build and Email Report
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/notifications
Path Parameters:
Request Body: Array of ReportRecipient objects
Example:
Queue Build and Email Report
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/notifications/queue
Path Parameters:
Request Body: Array of ReportRecipient objects
Example:
Queue Report Now
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/queue
Path Parameters:
Request Body: Array of ReportScheduleRecipient objects
Example:
Resubscribe to Report
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/resubscribe
Path Parameters:
Query Parameters:
Example:
Send Report Now
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/sendnow
Path Parameters:
Request Body: Array of ReportScheduleRecipient objects
Example:
Send Resubscribe Email
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/sendResubscribe
Path Parameters:
Request Body: Array of ReportScheduleRecipient objects
Example:
Unsubscribe from Report
Playground
POSTEndpoint:
/api/content/v1/reportschedules/{scheduleId}/unsubscribe
Path Parameters:
Example:
Delete Unsubscribed Recipient
Playground
DELETEEndpoint:
/api/content/v1/reportschedules/{scheduleId}/unsubscribe/recipient
Path Parameters:
Query Parameters:
Example:
Render Card for Email
Playground
POSTEndpoint:
/api/content/v1/reportschedules/card-email-data
Request Body: Array of integers (card IDs)
Example:
Get Created Report History
Playground
GETEndpoint:
/api/content/v1/reportschedules/created
Query Parameters:
Example:
Enable/Disable Scheduled Report Emails
Playground
PUTEndpoint:
/api/content/v1/reportschedules/emails/enabled
Request Body: boolean
Example:
Get Extended Report History
Playground
GETEndpoint:
/api/content/v1/reportschedules/extendedHistory
Query Parameters:
Example:
Rerun Failed Scheduled Reports
Playground
POSTEndpoint:
/api/content/v1/reportschedules/failures/rerun
Query Parameters:
Example:
Get Report History
Playground
GETEndpoint:
/api/content/v1/reportschedules/history
Query Parameters:
Example:
Get Report History by ID
Playground
GETEndpoint:
/api/content/v1/reportschedules/history/{id}
Path Parameters:
Example:
Search Report History
Playground
POSTEndpoint:
/api/content/v1/reportschedules/history/search
Query Parameters:
Request Body: ReportLogSearchCriteria object
Example:
Get Misconfigured Reports
Playground
GETEndpoint:
/api/content/v1/reportschedules/misconfigured
Query Parameters:
Example:
Get Resources with Reports
Playground
GETEndpoint:
/api/content/v1/reportschedules/resources
Query Parameters:
Example:
Get Report Schedules by Resource ID
Playground
GETEndpoint:
/api/content/v1/reportschedules/resources/{resourceType}/{resourceId}
Path Parameters:
Query Parameters:
Example:
Get Report Schedules Map
Playground
GETEndpoint:
/api/content/v1/reportschedules/sortby
Query Parameters:
Example:
Get Report Schedule by View ID
Playground
GETEndpoint:
/api/content/v1/reportschedules/views/{viewId}
Path Parameters:
Example:
Send Report Now by View ID
Playground
POSTEndpoint:
/api/content/v1/reportschedules/views/{viewId}/sendNow
Path Parameters:
Query Parameters:
Request Body: Array of ReportScheduleRecipient objects
Example:
Send Report Now with Parameters by View ID
Playground
POSTEndpoint:
/api/content/v1/reportschedules/views/{viewId}/sendNowWithParams
Path Parameters:
Query Parameters:
Request Body: ResourceSendNowInfo object
Example: